### Virtual Method

# Pango Renderer draw_shape

#### Declaration [src]

    void
    draw_shape (
      PangoRenderer* renderer,
      PangoAttrShape* attr,
      int x,
      int y
    )

#### Description [src]

Draw content for a glyph shaped with `PangoAttrShape` `x`, `y` are the coordinates of the left edge of the baseline, in user coordinates.

#### Parameters

`attr`

  Type: `PangoAttrShape`

  No description available.

  The data is owned by the caller of the method.

`x`

  Type: `int`

  No description available.

`y`

  Type: `int`

  No description available.